package com.ynxbd.push;

import com.ynxbd.push.config.IniConfig;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

@Slf4j
@SpringBootApplication()
public class AppApplication extends SpringBootServletInitializer {


    public static void main(String[] args) throws IOException, TimeoutException {
        SpringApplication.run(AppApplication.class, args);
        System.setProperty("tomcat.util.http.parser.HttpParser.requestTargetAllow", "^");

        log.info("启动医院为：{}", IniConfig.getInstance("name"));
        log.info("token_url路径：{}", StringUtils.isNotBlank(IniConfig.TOKEN_URL) ? IniConfig.TOKEN_URL : "http://127.0.0.1:8080/wx/api/getWxAccessToken.do");
    }
}
