package com.ynxbd.push.entity.enums;

import org.springframework.util.ObjectUtils;

public enum HisApiEnum {
    // 数字后缀为[_参数个数][__编号（模板名称相同，参数个数相同，但参数名称不一致）]
    reg_success_04__001("reg_success_04__001", "预约挂号成功通知", "就诊人、就诊科室、预约时间、就诊地点"),
    reg_today_tip_05_001("reg_today_tip_05_001","候诊提醒","就诊人、就诊科室、就诊时间、候诊地点、就诊医生"),
    payment_end_04__001("payment_end_04__001", "缴费完成通知", "就诊人、缴费时间、缴费金额、治疗地点"),
    payment_remind_04__001("payment_remind_04__001", "缴费提醒", "患者姓名、开单时间、缴费项目、金额"),
    report_notice_05__001("report_notice_05__001", "检验检查报告通知", "就诊卡号、就诊人、单号、检查时间、项目名称"),
    work_order_remind_02__001("work_order_remind_02__001", "工单处理提醒", "提交时间、工单名称"),
    doctor_admissions_05_001("doctor_admissions_05_001","医生接诊通知","医生,就诊人,医疗项目,就诊时间,科室")
    ;

    public final String CODE;
    public final String TITLE;
    public final String KEYWORD;

    HisApiEnum(String CODE, String TITLE, String KEYWORD) {
        this.CODE = CODE;
        this.TITLE = TITLE;
        this.KEYWORD = KEYWORD;
    }

    public static HisApiEnum toEnum(String code) {
        if (ObjectUtils.isEmpty(code)) {
            return null;
        }
        for (HisApiEnum item : HisApiEnum.values()) {
            if (code.equals(item.CODE)) {
                return item;
            }
        }
        return null;
    }
}
