package com.ynxbd.push.entity.response;

import weixin.popular.bean.message.MessageSendResult;

/**
 * @author 李进才
 * @ClassName ResponseResult
 * @Description TODO
 * @date 2023/07/04 14:02:00
 */
public enum ResponseResult {

    JOIN_QUEUE("0", "已经接收消息，进入处理程序"),


    ORGANIZE_IS_NULL("50001", "组织机构代码无效"),

    PARAMETER_IS_NULL("50003", "参数无效"),


    DOCTOR_NOT_BIND("50004", "医生未绑定"),
    CALL_NO_IS_NOT_FIND("50011", "调用码未找到"),
    TEMPLATE_ID_IS_NOT_FIND("50010", "模板ID未找到"),

    CODE_INVALIDATION("40001", "token无效"),

    NOT_FIND_DATA("40004", "未找到数据"),
    CODE_EXPIRED("42001", "token过期"),

    MESSAGE_RESULT_ERROR_CODE("4002", "结果返回错误");

    public final String ERR_CODE;
    public final String ERR_MSG;

    ResponseResult(String errCode, String errMsg) {
        this.ERR_CODE = errCode;
        this.ERR_MSG = errMsg;
    }

    public MessageSendResult toMessResult() {
        MessageSendResult result = new MessageSendResult();
        result.setErrmsg(this.ERR_MSG);
        result.setErrcode(this.ERR_CODE);
        return result;
    }
}
