package com.ynxbd.push.helper;

import java.text.SimpleDateFormat;
import java.util.Date;

public class DateHelper {
    public static final String yyyy_MM_dd_HH_mm_ss = "yyyy-MM-dd HH:mm:ss";

    /**
     * [日期字符串]转日期
     *
     * @param dateStr 日期字符串
     * @param format  日期格式
     * @return 日期/时间
     */
    public static Date strToDate(String dateStr, String format) {
        try {
            if (dateStr == null || format == null) {
                return null;
            }
            return new SimpleDateFormat(format).parse(dateStr);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }


    /**
     * 时间点距离当前时间多少秒
     *
     * @param dateStr 时间点字符串
     * @return 日期/时间
     */
    public static long differCurSecond(String dateStr) {
        Date date = strToDate(dateStr, yyyy_MM_dd_HH_mm_ss);
        if (date == null) {
            return 0L;
        }
        return new Date().getTime() - date.getTime();

    }
}
