package com.ynxbd.push.helper;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ynxbd.push.entity.xbd.his.HIsWorkLoad;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
public class HisResultFormat {

    @Data
    @NoArgsConstructor
    @ToString
    public static class TestDoctor {
        private String docCode;
        private String docName;
    }


    public static void main(String[] args) {
        String json = "{\n" +
                "    \"Code\": \"200\",\n" +
                "    \"Msg\": \"SUCCESS\",\n" +
                "    \"Data\": [\n" +
                "        {\n" +
                "            \"doc_code\": \"0002\",\n" +
                "            \"doc_name\": \"李卫\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0003\",\n" +
                "            \"doc_name\": \"杨淑\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0005\",\n" +
                "            \"doc_name\": \"马晓琳\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0011\",\n" +
                "            \"doc_name\": \"蔡连勇\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0017\",\n" +
                "            \"doc_name\": \"江为民\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0019\",\n" +
                "            \"doc_name\": \"何丽芬\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0023\",\n" +
                "            \"doc_name\": \"龙红\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0030\",\n" +
                "            \"doc_name\": \"向梅\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0036\",\n" +
                "            \"doc_name\": \"杨聪\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0044\",\n" +
                "            \"doc_name\": \"汤进伟\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0050\",\n" +
                "            \"doc_name\": \"王跃强\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0054\",\n" +
                "            \"doc_name\": \"刘炜\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0059\",\n" +
                "            \"doc_name\": \"马刚\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0062\",\n" +
                "            \"doc_name\": \"普伦庆\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0066\",\n" +
                "            \"doc_name\": \"佘艳军\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0068\",\n" +
                "            \"doc_name\": \"孔洁\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0069\",\n" +
                "            \"doc_name\": \"赵悦涛\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0072\",\n" +
                "            \"doc_name\": \"崔金鹏\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0073\",\n" +
                "            \"doc_name\": \"李艳华\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0074\",\n" +
                "            \"doc_name\": \"王俊青\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0114\",\n" +
                "            \"doc_name\": \"霍松\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0134\",\n" +
                "            \"doc_name\": \"丁俊\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0151\",\n" +
                "            \"doc_name\": \"马锦霞\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0156\",\n" +
                "            \"doc_name\": \"陈朝明\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"018 \",\n" +
                "            \"doc_name\": \"张娜\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0194\",\n" +
                "            \"doc_name\": \"钟兴伟\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0199\",\n" +
                "            \"doc_name\": \"沈曼\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0208\",\n" +
                "            \"doc_name\": \"马韬\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0226\",\n" +
                "            \"doc_name\": \"卢俊\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0241\",\n" +
                "            \"doc_name\": \"蒙艳\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0248\",\n" +
                "            \"doc_name\": \"王璟\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0255\",\n" +
                "            \"doc_name\": \"赵德斌\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0269\",\n" +
                "            \"doc_name\": \"普福顺\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0469\",\n" +
                "            \"doc_name\": \"谭永兴\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0473\",\n" +
                "            \"doc_name\": \"白云辉\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0475\",\n" +
                "            \"doc_name\": \"苗蔚\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0705\",\n" +
                "            \"doc_name\": \"吉惠\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0731\",\n" +
                "            \"doc_name\": \"徐俊\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0805\",\n" +
                "            \"doc_name\": \"王长林\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0808\",\n" +
                "            \"doc_name\": \"董艳玲\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1025\",\n" +
                "            \"doc_name\": \"代建能\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1118\",\n" +
                "            \"doc_name\": \"赵悦涛*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1135\",\n" +
                "            \"doc_name\": \"李桂芬\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1233\",\n" +
                "            \"doc_name\": \"毕燕\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1251\",\n" +
                "            \"doc_name\": \"普虹丽（康\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1349\",\n" +
                "            \"doc_name\": \"蒋俊**\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1460\",\n" +
                "            \"doc_name\": \"赵艳红\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1462\",\n" +
                "            \"doc_name\": \"赵林\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1491\",\n" +
                "            \"doc_name\": \"白建平\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1618\",\n" +
                "            \"doc_name\": \"王蕾\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1669\",\n" +
                "            \"doc_name\": \"胡琳\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1688\",\n" +
                "            \"doc_name\": \"张丽红*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1737\",\n" +
                "            \"doc_name\": \"沈海荣\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1845\",\n" +
                "            \"doc_name\": \"陈淑媛*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1951\",\n" +
                "            \"doc_name\": \"赵永贵*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2079\",\n" +
                "            \"doc_name\": \"田劲猛*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2280\",\n" +
                "            \"doc_name\": \"赵永贵.\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2337\",\n" +
                "            \"doc_name\": \"郭鹏\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2390\",\n" +
                "            \"doc_name\": \"普兴林\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2423\",\n" +
                "            \"doc_name\": \"魏进云\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2495\",\n" +
                "            \"doc_name\": \"李仁伟\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2641\",\n" +
                "            \"doc_name\": \"赵青\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2676\",\n" +
                "            \"doc_name\": \"袁乔英\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2687\",\n" +
                "            \"doc_name\": \"杨金有\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2747\",\n" +
                "            \"doc_name\": \"何黎\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2754\",\n" +
                "            \"doc_name\": \"李雪梅.\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2784\",\n" +
                "            \"doc_name\": \"张艳.\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2959\",\n" +
                "            \"doc_name\": \"申永林*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"3553\",\n" +
                "            \"doc_name\": \"孔洁.\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"3717\",\n" +
                "            \"doc_name\": \"王俊青.*\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"3764\",\n" +
                "            \"doc_name\": \"蒙艳.\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"4041\",\n" +
                "            \"doc_name\": \"李始秀\",\n" +
                "            \"titleName\": \"科主任\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0274\",\n" +
                "            \"doc_name\": \"刘翠\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0278\",\n" +
                "            \"doc_name\": \"龙莉\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0297\",\n" +
                "            \"doc_name\": \"毛颖懿\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0313\",\n" +
                "            \"doc_name\": \"王雯秀\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0314\",\n" +
                "            \"doc_name\": \"杨金凤\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0315\",\n" +
                "            \"doc_name\": \"白云芬\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0323\",\n" +
                "            \"doc_name\": \"骆钰玺\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0333\",\n" +
                "            \"doc_name\": \"袁慧\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0339\",\n" +
                "            \"doc_name\": \"王雪华\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0355\",\n" +
                "            \"doc_name\": \"卢宝丽\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0361\",\n" +
                "            \"doc_name\": \"胡海燕\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0381\",\n" +
                "            \"doc_name\": \"高云丽\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0393\",\n" +
                "            \"doc_name\": \"柏雪\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0477\",\n" +
                "            \"doc_name\": \"张翠兰\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0491\",\n" +
                "            \"doc_name\": \"赵文娟\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0521\",\n" +
                "            \"doc_name\": \"钱润润\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0604\",\n" +
                "            \"doc_name\": \"何劲梅\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0608\",\n" +
                "            \"doc_name\": \"官丽亚\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"0789\",\n" +
                "            \"doc_name\": \"沈成荣\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1286\",\n" +
                "            \"doc_name\": \"黄梦诗\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1423\",\n" +
                "            \"doc_name\": \"高姝\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1453\",\n" +
                "            \"doc_name\": \"高丽萍\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1687\",\n" +
                "            \"doc_name\": \"邹婷\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"1985\",\n" +
                "            \"doc_name\": \"王迪一\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2131\",\n" +
                "            \"doc_name\": \"孙海燕\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2175\",\n" +
                "            \"doc_name\": \"邓延华\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2461\",\n" +
                "            \"doc_name\": \"罗艳\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2513\",\n" +
                "            \"doc_name\": \"马兰兰\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2557\",\n" +
                "            \"doc_name\": \"郑虞华.\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2588\",\n" +
                "            \"doc_name\": \"李金艳\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2602\",\n" +
                "            \"doc_name\": \"蒋金芳\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2610\",\n" +
                "            \"doc_name\": \"蒋艳梅\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2651\",\n" +
                "            \"doc_name\": \"李凤.\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2696\",\n" +
                "            \"doc_name\": \"易玲\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"2710\",\n" +
                "            \"doc_name\": \"李艳.\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"3241\",\n" +
                "            \"doc_name\": \"罗效萍\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        },\n" +
                "        {\n" +
                "            \"doc_code\": \"3550\",\n" +
                "            \"doc_name\": \"王迪一.\",\n" +
                "            \"titleName\": \"护士长\",\n" +
                "            \"description\": \"昨日门诊:3697人次;非核酸门诊:2302人次;在院:1377人;入院:224人;出院:191人;危重:0人;手术人次:61人次;微创手术人次:16人次;四级手术人次:6人次;\\\\r\\\\n今年截至昨日门诊:794298人次;非核酸门诊:423528人次;出院:32130人;实际开放床:1224张;病床使用率:91.512%;手术:8809人次,占比:28%;四级手术占比:19.01%;微创手术占比:17.31%;\"\n" +
                "        }\n" +
                "    ],\n" +
                "    \"Note\": {\n" +
                "        \"funcName\": \"DeanSearch_wechatDataPush\",\n" +
                "        \"funcNote\": \"微信推送数据\",\n" +
                "        \"connTime\": 30,\n" +
                "        \"inParams\": {},\n" +
                "        \"isListOutParams\": true,\n" +
                "        \"outParams\": {\n" +
                "            \"doc_code\": \"医生代码\",\n" +
                "            \"doc_name\": \"医生名称\",\n" +
                "            \"titleName\": \"职位\",\n" +
                "            \"description\": \"推送信息描述\"\n" +
                "        }\n" +
                "    }\n" +
                "}";

        String respData = getRespData(json);
        List<HIsWorkLoad> testDoctors = jsonToList(respData, HIsWorkLoad.class);
        System.out.println(testDoctors);

        List<String> doctCodeList = jsonToList(respData, "docCode");
        System.out.println(doctCodeList);
    }

    /**
     * 获取请求中的数据
     */
    public static String getRespData(String respData) {
        if (respData == null) {
            return null;
        }
        JSONObject jsonResp = JSON.parseObject(respData);
        String code = jsonResp.getString("Code");
        String message = jsonResp.getString("Msg");
        if ("200".equals(code) && "SUCCESS".equals(message)) {
            String data = jsonResp.getString("Data");
            return "".equals(data) ? null : data;
        }
        log.info("[请求失败]code={}, message={}", code, message);
        return null;
    }

    public static <T> List<T> jsonToList(String data, Class<T> clazz) {
        if (data == null) {
            return new ArrayList<>();
        }
        String jsonStr = JSON.toJSONString(data);
        if ("".equals(jsonStr)) {
            return new ArrayList<>();
        }
        try {
            return JSON.parseArray(data, clazz);
        } catch (Exception e) {
            log.error(e.getMessage());
            return new ArrayList<>();
        }
    }

    /**
     * 获取对象数组中某个名称的值，加入集合
     *
     * @param data json数据
     * @param name 属性名称
     * @return 属性List
     */
    public static List<String> jsonToList(String data, String name) {
        List<String> resultList = new ArrayList<>();
        if (data == null) {
            return resultList;
        }
        String jsonStr = JSON.toJSONString(data);
        if ("".equals(jsonStr)) {
            return resultList;
        }

        try {
            JSONArray jsonArr = JSON.parseArray(data);
            JSONObject itemObj;
            String val;
            for (int i = 0; i < jsonArr.size(); i++) {
                itemObj = jsonArr.getJSONObject(i);
                if (itemObj == null) {
                    continue;
                }
                val = itemObj.getString(name);
                if (val != null && !"".equals(val)) {
                    resultList.add(val);
                }
            }
            return resultList;
        } catch (Exception e) {
            log.error(e.getMessage());
        }
        return resultList;
    }

    /**
     * json转实体类
     * @param data 数据
     * @param clazz 类型
     * @return 对象
     */
    public static <T> T jsonToBean(String data, Class<T> clazz) {
        if (data == null) {
            return null;
        }
        String jsonStr = JSON.toJSONString(data);
        if ("".equals(jsonStr)) {
            return null;
        }
        try {
            return JSON.parseObject(data, clazz);
        } catch (Exception e) {
            log.error(e.getMessage());
            return null;
        }
    }

}
