package com.ynxbd.push.helper;

import java.util.*;

/**
 * List的相关帮助类
 *
 * @author 李进才
 */
public class ListHelper {
    private ListHelper(){}
    /**
     * 找到list重复的地方
     *
     * @param data
     * @param <T>
     * @return
     */
    public static <T> List<T> findRepeat(Collection<T> data) {
        if (data instanceof Set) {
            return new ArrayList<>();
        }
        HashSet<T> set = new HashSet<>();
        List<T> repeatElves = new ArrayList<>();
        for (T t : data) {
            if (set.contains(t)) {
                repeatElves.add(t);
            } else {
                set.add(t);
            }
        }
        return repeatElves;
    }
}
