package com.ynxbd.push.helper;
/*
 * Copyright (c) 2022
 * User:Administrator
 * File:ProperHelper.java
 * Date:2022/06/13 14:56:13
 */

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class ProperHelper {

    private Properties properties;

    /**
     * 读取properties配置文件...\project\web\WEB-INF\classes\xx.properties
     *
     * @param fileName 文件名
     * @return Properties对象，通过getProperty()获取值
     */
    public ProperHelper read(String fileName) {
        properties = new Properties();
        try (InputStream in = ProperHelper.class.getClassLoader().getResourceAsStream(fileName)) {
            properties.load(in);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return this;
    }

    /**
     * 获取配置文件String值
     *
     * @param rootNode 节点名
     * @return String
     */
    public String getString(String rootNode) {
        try {
            String val = properties.getProperty(rootNode);
            return val == null ? null : val.trim();
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 获取配置文件Boolean值,可设默认值
     *
     * @param rootNode 节点名
     * @return Boolean
     */
    public Boolean getBoolean(String rootNode, Boolean defaultVal) {
        try {
            String val = properties.getProperty(rootNode);
            return val == null ? defaultVal : Boolean.parseBoolean(val.trim());
        } catch (Exception e) {
            e.printStackTrace();
            return defaultVal;
        }
    }

    /**
     * 获取配置文件Boolean值
     *
     * @param rootNode 节点名
     * @return Boolean
     */
    public Boolean getBoolean(String rootNode) {
        try {
            String val = properties.getProperty(rootNode);
            return val == null ? null : Boolean.parseBoolean(val.trim());
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 获取配置文件Integer值
     *
     * @param rootNode 节点名
     * @return Integer
     */
    public Integer getInteger(String rootNode) {
        try {
            String val = properties.getProperty(rootNode);
            return val == null ? null : Integer.parseInt(val.trim());
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

}
