package com.ynxbd.push.quartz.pushJob.BI;

import com.alibaba.fastjson.JSONObject;
import com.ynxbd.push.config.IniConfig;
import com.ynxbd.push.entity.tencent.AllDoctorCode;
import com.ynxbd.push.entity.tencent.SendMessageTemplate;
import com.ynxbd.push.entity.tencent.WeChatAllDoctorResponse;
import com.ynxbd.push.entity.xbd.his.HIsWorkLoad;
import com.ynxbd.push.entity.xbd.wx.WorkLoad;
import com.ynxbd.push.entity.xbd.wx.WorkLoadData;
import com.ynxbd.push.helper.*;
import com.ynxbd.push.httpRequest.tencent.WeChatDataRequest;
import com.ynxbd.push.httpRequest.xbd.his.HisRequest;
import lombok.extern.slf4j.Slf4j;

import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.*;
import java.util.stream.Collectors;

import static com.ynxbd.push.entity.type.MessageTypeEnum.UNIVERSAL;

/**
 * @author 李进才
 * @ClassName BiPush
 * @Description description
 * @date 2022/9/7 14:23
 */
@Slf4j
public  class BiPush {
    public  static void runJob(String openId){
        if(IniConfig.getInstance("leaderTemplateId")==null&&WeChatDataRequest.getTemplateId("工单处理提醒")==null){
            return;
        }
        Boolean isTest = false;
        if(IniConfig.getInstance("leaderTest")!=null){
            isTest = true;
        }
        String leaderTemplateId = WeChatDataRequest.getTemplateId("工单处理提醒")==null?IniConfig.getInstance("leaderTemplateId"):WeChatDataRequest.getTemplateId("工单处理提醒");
        SimpleDateFormat sdf = new SimpleDateFormat();
        sdf.applyPattern("yyyy-MM-dd");
        Date date = new Date();
        List<HIsWorkLoad> targetList = HisResultFormat.jsonToList(HisResultFormat.getRespData(HisRequest.getWorkLoad()), HIsWorkLoad.class);
        List<AllDoctorCode> allDoctorCodeList = WeChatDataRequest.getAllOpenIdForDoctorCode().getData();
        Map<String,String> params = new HashMap<>();
        params.put("description", targetList.get(0).getDescription());
        SimpleDateFormat formatter = new SimpleDateFormat();
        formatter.applyPattern("yyyyMMdd");
        RedisHelper.getRedis().set(formatter.format(date),JSONObject.toJSONString(params),86400);
        for (HIsWorkLoad target: targetList) {
            Optional<AllDoctorCode> allDoctorCodeStream =allDoctorCodeList.stream().filter(item -> item.getDoctCode().equals(target.getDoc_code())).findFirst();
            if (!allDoctorCodeStream.isPresent()){
                log.info("[领导推送工作量]{}未绑定微官网，openId:{}",target.getDoc_name(),target.getDoc_code());
                continue;
            }
            if(IniConfig.TEMPLATE_VERSION){
                // 只要中文,数字，标点，防止BI那边加些乱七八糟的字符导致json格式不正确
                target.setDescription(target.getDescription().replaceAll("[^0-9a-zA-Z\\u4e00-\\u9fa5.，,。？“”%]+","") .substring(0, 16)+ "……");
            }
            SendMessageTemplate sendMessageTemplate = SendMessageTemplate.builder()
                    .template_id(leaderTemplateId)
                    .code(Boolean.FALSE.equals(IniConfig.TEMPLATE_VERSION) ?"":UNIVERSAL.CODE)
                    .keyword1(Objects.equals(IniConfig.getInstance("leaderTemplateMode"), "2") ?target.getDescription():sdf.format(date))
                    .keyword2(Objects.equals(IniConfig.getInstance("leaderTemplateMode"), "2") ?sdf.format(date):target.getDescription())
//                    .first(new StringBuilder().append("尊敬的").append(target.getDoc_name()).append("您好").toString())
                    .url(IniConfig.DOMAIN+"wx/"+IniConfig.WECHAT_UI_PATH+"push-info.html#/bi-info")
//                    .openId(replenish.getOpenid())
                    .build();
            if(isTest){
                for (String testOpenId:IniConfig.getInstance("leaderTest").split(";")) {
                    sendMessageTemplate.setOpenId("");
                    sendMessageTemplate.setOpenId(testOpenId);
                    log.info("[领导推送工作量-测试项目]：openId={}, ErrCode={}, ",
                            sendMessageTemplate.getOpenId(),
                            // 推送
                            MessageApiHelper.templateMessageSend(sendMessageTemplate).getMsg_status());
                }
                break;
            }
            if(openId!=null){
                for (String paramsOpenId:openId.split(";")) {
                    sendMessageTemplate.setOpenId("");
                    sendMessageTemplate.setOpenId(paramsOpenId);
                    log.info("[领导推送工作量-接口传参项目]：openId={}, ErrCode={}, ",
                            sendMessageTemplate.getOpenId(),
                            // 推送
                            MessageApiHelper.templateMessageSend(sendMessageTemplate).getMsg_status());
                }
                break;
            }
            Integer index = 1;
            for (String interfaceOpenId:allDoctorCodeStream.get().getOpenIds()){
                sendMessageTemplate.setOpenId(AesCodeHelper.deCode(interfaceOpenId));
                log.info("[领导推送工作量]：openId={}, DoctorCode-{}-{}, ErrCode={}",
                        sendMessageTemplate.getOpenId(),
                        allDoctorCodeStream.get().getDoctCode(),
                        index,
                        // 推送
                        MessageApiHelper.templateMessageSend(sendMessageTemplate).getMsg_status());
                index++;
            }
        }
    }
}
