package com.ynxbd.push.rabbit.send;

import com.ynxbd.push.helper.MapHelper;
import org.springframework.amqp.rabbit.connection.CorrelationData;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;
import java.util.UUID;

/**
 * @author 李进才
 * @ClassName RabbitSender
 * @Description TODO
 * @date 2024/01/23 13:53:00
 */
@Component
public class RabbitSender {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    public void TipSend(Map<String, String> message) {
        message.put("count", "0");
        send(message);
    }

    public void send(Map<String, String> message) {
        String uuid = UUID.randomUUID().toString();
        CorrelationData correlationData = new CorrelationData(uuid);
        message.put("message_id", uuid);
        this.rabbitTemplate.convertAndSend("wx.push.queue", message,correlationData);
    }


    public void sendByTip(Map<String, Object> messageObj) {
        Map<String, String> message = MapHelper.objMapToStrMap(messageObj);
        String uuid = UUID.randomUUID().toString();
        CorrelationData correlationData = new CorrelationData(uuid);
        message.put("count", "0");
        message.put("message_id", uuid);
        this.rabbitTemplate.convertAndSend("wx.push.queue", message,correlationData);
    }

}
